import Toast from './lib/Toast';
import Progress from './lib/Progress';

import {
    ToastAndroid,
    Platform,
} from 'react-native';

let toast;
let progress;
window.ToastUtil = {
    show: (content, onShownFuc, onHiddenFuc) => {
        if(Platform.OS === 'android'){
            ToastAndroid.showWithGravity(content, ToastAndroid.SHORT, ToastAndroid.CENTER);
            onShownFuc && onShownFuc();
            if(onHiddenFuc){
                setTimeout(onHiddenFuc, ToastAndroid.SHORT, {});
            }
            return ;
        }
        if (toast !== undefined) {
            Toast.hide(toast);
        }
        toast = Toast.show(content, {
            duration: Toast.durations.SHORT,
            position: Toast.positions.CENTER,
            shadow: false,
            animation: true,
            hideOnPress: true,
            delay: 0,
            onShown: onShownFuc,
            onHidden: onHiddenFuc
        });
    },
}

window.ProgressUtil = {
    show: () => {
        if (progress !== undefined) {
            Progress.hide(progress);
        }
        progress = Progress.show('', {
            duration: 0,
            position: Toast.positions.CENTER,
            shadow: false,
            animation: true,
            hideOnPress: false,
            delay: 0,
        });
        // console.log('ProgressUtil show');
    },
    hidden: () => {
        if (progress !== undefined) {
            Progress.hide(progress);
            // console.log('ProgressUtil hide');
        }
    },
}